.btn-green {
    background-color: #18604a;
    color: white;
    border: none;
    text-align: center !important;
}

.btn-green:hover {
    mix-blend-mode: multiply;
    background-color: red;
    background-color: #114133;
    color: white;
}

.program-icon.active {
    background-color: #18604a;
    border-radius: 10px;
    color: white !important;
}

.program-select.active {
    background-color: #18604a;
    /* border: 2px solid #0f3b2e; */
    border-radius: 10px;
    color: white !important;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
    transition: all 0.2s ease;
}

.a-pointer {
    cursor: pointer;
}

.step-nav {
    display: flex;
    gap: 12px;
    align-items: center;
    background-color: #f5f5f5;
    border-radius: 8px;
    padding: 12px 16px;
    transition: background-color 0.3s ease;
}

.step-nav.active {
    background-color: #18604a;
    color: white;
}

.step-nav .step-number {
    background-color: #aaa;
    color: white;
    font-weight: bold;
    width: 45px;
    height: 45px;
    border-radius: 12px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 18px;
}

.step-nav.active .step-number {
    border: 2px solid white;
    background-color: #46806e;
    color: #ffffff;
}

.step-title {
    font-weight: 600;
    font-size: 16px;
}

.step-desc {
    font-size: 13px;
    color: #888;
}

.step-nav.active .step-title,
.step-nav.active .step-desc {
    color: white;
}


.border-r-7 {
    border-radius: 7px !important;
}

textarea {
    height: auto !important;
}

.cycle-style.active {
    width: 20px;
    height: 20px;
    border-radius: 15px;
    background-color: #28a745;
}

.cycle-style {
    width: 20px;
    height: 20px;
    border-radius: 15px;
    background-color: rgb(211, 211, 211);
    margin-right: 1rem;
}

.card.link:hover {
    box-shadow: 0px 4px 10px 0px rgba(0, 0, 0, 0.2) !important;
    cursor: pointer !important;
}

.text-sme-success {
    color: #18604a !important;
}

.bg-sme-success {
    background-color: #18604a !important;
    color: #ffffff !important;
}

.text-required::after {
    content: '*';
    margin-left: 5px !important;
    /* font-size: 18px; */
    color: red;
}

.required::after {
    content: '*';
    margin-left: 5px !important;
    /* font-size: 18px; */
    color: red;
}

.was-validated .custom-select:valid+.select2 .select2-selection--single {
    border-color: #28a745 !important;
}

.was-validated .custom-select:invalid+.select2 .select2-selection--single {
    border-color: #dc3545 !important;
}

.was-validated .custom-select:valid+.select2 .select2-selection--multiple {
    border-color: #28a745 !important;
}

.was-validated .custom-select:invalid+.select2 .select2-selection--multiple {
    border-color: #dc3545 !important;
}


.bootstrap-duallistbox-container .btn {
    background-color: #18604a;
    /* Bootstrap primary */
    color: white;
    border-color: #0a271e;
    padding: 0.25rem 0.75rem;
}

.bootstrap-duallistbox-container .btn:hover {
    background-color: #0f3b2e !important;
    border-color: #0a271e !important;
}

.bootstrap-duallistbox-container .btn {
    display: flex;
    align-items: center;
    /* แนวตั้งกึ่งกลาง */
    justify-content: center;
    /* แนวนอนกึ่งกลาง */
    padding: 0.4rem 0.75rem;
    height: 20px;
    /* ความสูงปุ่มเท่า input Bootstrap */
    font-size: 0.9rem;
    /* ปรับขนาดฟอนต์ */
}


.btn.btn-data-master:not(:disabled):not(.disabled):hover {
    background: #3b6256 !important;
    border-color: #18604a;
    color: white;
}

.btn.btn-data-master,
a.btn[href="#next"],
.chat-block .chat-sidebar .chat-sidebar-content .list-group .btn.list-group-item.active[href="#next"],
.header form .input-group .input-group-append button.btn[href="#next"],
a.btn[href="#previous"],
.chat-block .chat-sidebar .chat-sidebar-content .list-group .btn.list-group-item.active[href="#previous"],
.header form .input-group .input-group-append button.btn[href="#previous"] {
    background: #18604a;
    border-color: #18604a;
    color: white;
}

.btn.btn-data-master:not(:disabled):not(.disabled):hover,
a.btn:not(:disabled):not(.disabled):hover[href="#next"],
.chat-block .chat-sidebar .chat-sidebar-content .list-group .btn.list-group-item.active:not(:disabled):not(.disabled):hover[href="#next"],
.header form .input-group .input-group-append button.btn:not(:disabled):not(.disabled):hover[href="#next"],
a.btn:not(:disabled):not(.disabled):hover[href="#previous"],
.chat-block .chat-sidebar .chat-sidebar-content .list-group .btn.list-group-item.active:not(:disabled):not(.disabled):hover[href="#previous"],
.header form .input-group .input-group-append button.btn:not(:disabled):not(.disabled):hover[href="#previous"],
.btn.btn-data-master:not(:disabled):not(.disabled):focus,
a.btn:not(:disabled):not(.disabled):focus[href="#next"],
.chat-block .chat-sidebar .chat-sidebar-content .list-group .btn.list-group-item.active:not(:disabled):not(.disabled):focus[href="#next"],
.header form .input-group .input-group-append button.btn:not(:disabled):not(.disabled):focus[href="#next"],
a.btn:not(:disabled):not(.disabled):focus[href="#previous"],
.chat-block .chat-sidebar .chat-sidebar-content .list-group .btn.list-group-item.active:not(:disabled):not(.disabled):focus[href="#previous"],
.header form .input-group .input-group-append button.btn:not(:disabled):not(.disabled):focus[href="#previous"],
.btn.btn-data-master:not(:disabled):not(.disabled):active,
a.btn:not(:disabled):not(.disabled):active[href="#next"],
.chat-block .chat-sidebar .chat-sidebar-content .list-group .btn.list-group-item.active:not(:disabled):not(.disabled):active[href="#next"],
.header form .input-group .input-group-append button.btn:not(:disabled):not(.disabled):active[href="#next"],
a.btn:not(:disabled):not(.disabled):active[href="#previous"],
.chat-block .chat-sidebar .chat-sidebar-content .list-group .btn.list-group-item.active:not(:disabled):not(.disabled):active[href="#previous"],
.header form .input-group .input-group-append button.btn:not(:disabled):not(.disabled):active[href="#previous"] {
    background: #124b3a !important;
    border-color: #124b3a !important;
}

.btn.btn-data-master-50:not(:disabled):not(.disabled):hover {
    background: #cce2dd !important;
    border-color: #cce2dd;
    color: #18604a;
}

.btn.btn-data-master-50,
a.btn[href="#next"],
.chat-block .chat-sidebar .chat-sidebar-content .list-group .btn.list-group-item.active[href="#next"],
.header form .input-group .input-group-append button.btn[href="#next"],
a.btn[href="#previous"],
.chat-block .chat-sidebar .chat-sidebar-content .list-group .btn.list-group-item.active[href="#previous"],
.header form .input-group .input-group-append button.btn[href="#previous"] {
    background: #cce2dd;
    border-color: #cce2dd;
    color: #18604a;
}

.btn.btn-data-master-50:not(:disabled):not(.disabled):hover,
a.btn:not(:disabled):not(.disabled):hover[href="#next"],
.chat-block .chat-sidebar .chat-sidebar-content .list-group .btn.list-group-item.active:not(:disabled):not(.disabled):hover[href="#next"],
.header form .input-group .input-group-append button.btn:not(:disabled):not(.disabled):hover[href="#next"],
a.btn:not(:disabled):not(.disabled):hover[href="#previous"],
.chat-block .chat-sidebar .chat-sidebar-content .list-group .btn.list-group-item.active:not(:disabled):not(.disabled):hover[href="#previous"],
.header form .input-group .input-group-append button.btn:not(:disabled):not(.disabled):hover[href="#previous"],
.btn.btn-data-master-50:not(:disabled):not(.disabled):focus,
a.btn:not(:disabled):not(.disabled):focus[href="#next"],
.chat-block .chat-sidebar .chat-sidebar-content .list-group .btn.list-group-item.active:not(:disabled):not(.disabled):focus[href="#next"],
.header form .input-group .input-group-append button.btn:not(:disabled):not(.disabled):focus[href="#next"],
a.btn:not(:disabled):not(.disabled):focus[href="#previous"],
.chat-block .chat-sidebar .chat-sidebar-content .list-group .btn.list-group-item.active:not(:disabled):not(.disabled):focus[href="#previous"],
.header form .input-group .input-group-append button.btn:not(:disabled):not(.disabled):focus[href="#previous"],
.btn.btn-data-master-50:not(:disabled):not(.disabled):active,
a.btn:not(:disabled):not(.disabled):active[href="#next"],
.chat-block .chat-sidebar .chat-sidebar-content .list-group .btn.list-group-item.active:not(:disabled):not(.disabled):active[href="#next"],
.header form .input-group .input-group-append button.btn:not(:disabled):not(.disabled):active[href="#next"],
a.btn:not(:disabled):not(.disabled):active[href="#previous"],
.chat-block .chat-sidebar .chat-sidebar-content .list-group .btn.list-group-item.active:not(:disabled):not(.disabled):active[href="#previous"],
.header form .input-group .input-group-append button.btn:not(:disabled):not(.disabled):active[href="#previous"] {
    background: #cce2dd !important;
    border-color: #cce2dd !important;
}

.btn.btn-outline-data-master {
    background: none;
    border-color: #18604a;
    color: #18604a;
    border-width: 1px;
}

.btn.btn-outline-data-master:not(:disabled):not(.disabled):hover {
    background: #18604a;
    border-color: #18604a;
    color: white;
}

.btn.btn-outline-data-master:not(:disabled):not(.disabled):focus,
.btn.btn-outline-data-master:not(:disabled):not(.disabled):active {
    background: #18604a;
    border-color: #18604a;
    color: white;
}

.btn.btn-outline-data-master:not(:disabled):not(.disabled):hover,
.btn.btn-outline-data-master:not(:disabled):not(.disabled):focus,
.btn.btn-outline-data-master:not(:disabled):not(.disabled):active {
    color: white;
}


.badge.badge-joint-type {
    background: #e6f2ee;
    color: #18604a;
}

.text-black-25 {
    color: rgba(0, 0, 0, 0.25) !important;
}

.text-data-master {
    color: #18604a;
}

.badge-data-master {
    text-align: center;
    background-color: #cce2dd;
    color: #18604a;
    padding-top: .5rem;
    border-radius: 10px;
    padding-bottom: .5rem;
    font-size: 18px;
}

.g-3{
    gap: 1rem !important;
}

.accordion.custom-accordion.accordion-data-master .accordion-row:not(.open) a.accordion-header:hover, .accordion.custom-accordion.accordion-data-master .accordion-row:not(.open) .chat-block .chat-sidebar .chat-sidebar-content .list-group .accordion-header.list-group-item.active:hover, .chat-block .chat-sidebar .chat-sidebar-content .list-group .accordion.custom-accordion.accordion-data-master .accordion-row:not(.open) .accordion-header.list-group-item.active:hover, .accordion.custom-accordion.accordion-data-master .accordion-row:not(.open) .header form .input-group .input-group-append button.accordion-header.btn:hover, .header form .input-group .input-group-append .accordion.custom-accordion.accordion-data-master .accordion-row:not(.open) button.accordion-header.btn:hover, .accordion.custom-accordion.accordion-data-master .accordion-row:not(.open) a.accordion-header:focus, .accordion.custom-accordion.accordion-data-master .accordion-row:not(.open) .chat-block .chat-sidebar .chat-sidebar-content .list-group .accordion-header.list-group-item.active:focus, .chat-block .chat-sidebar .chat-sidebar-content .list-group .accordion.custom-accordion.accordion-data-master .accordion-row:not(.open) .accordion-header.list-group-item.active:focus, .accordion.custom-accordion.accordion-data-master .accordion-row:not(.open) .header form .input-group .input-group-append button.accordion-header.btn:focus, .header form .input-group .input-group-append .accordion.custom-accordion.accordion-data-master .accordion-row:not(.open) button.accordion-header.btn:focus {
  color: #18604a;
}

.accordion.custom-accordion.accordion-data-master .accordion-row.open a.accordion-header, .accordion.custom-accordion.accordion-data-master .accordion-row.open .chat-block .chat-sidebar .chat-sidebar-content .list-group .accordion-header.list-group-item.active, .chat-block .chat-sidebar .chat-sidebar-content .list-group .accordion.custom-accordion.accordion-data-master .accordion-row.open .accordion-header.list-group-item.active, .accordion.custom-accordion.accordion-data-master .accordion-row.open .header form .input-group .input-group-append button.accordion-header.btn, .header form .input-group .input-group-append .accordion.custom-accordion.accordion-data-master .accordion-row.open button.accordion-header.btn {
  background: #18604a;
  color: white;
}
